> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current User

> Get the current authenticated user from the database



## OpenAPI

````yaml https://gp-auth-module.prod.gnosispay.com/openapi.json get /user
openapi: 3.0.0
info:
  version: 1.0.0
  title: SIWE Authentication API
  description: Sign In With Ethereum authentication service
servers:
  - url: https://gp-auth-module.prod.gnosispay.com
    description: API server
security: []
paths:
  /user:
    get:
      tags:
        - User
      summary: Get Current User
      description: Get the current authenticated user from the database
      responses:
        '200':
          description: User retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserSuccess'
        '401':
          description: Unauthorized - Invalid JWT payload
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: User not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Bearer: []
components:
  schemas:
    GetUserSuccess:
      type: object
      properties:
        id:
          type: string
          format: uuid
        address:
          type: string
        email:
          type: string
        profileId:
          type: string
          format: uuid
        accountId:
          type: string
          nullable: true
          format: uuid
        cardholderId:
          type: string
          nullable: true
          format: uuid
        partnerId:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        kycProfile:
          type: object
          properties:
            id:
              type: string
              format: uuid
            reference:
              type: string
            email:
              type: string
            status:
              type: string
              enum:
                - pending
                - approved
                - rejected
                - requires_action
                - resubmission_requested
            tenantId:
              type: string
            details:
              type: object
              nullable: true
              properties:
                fullName:
                  type: string
                phoneNumber:
                  type: string
                dateOfBirth:
                  type: string
                  format: date-time
                nationality:
                  type: string
                countryOfResidence:
                  type: string
                countryOfBirth:
                  type: string
                taxIdNumber:
                  type: string
                gender:
                  type: string
                addresses:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      country:
                        type: string
                      postalCode:
                        type: string
                      city:
                        type: string
                      state:
                        type: string
                      address1:
                        type: string
                      address2:
                        type: string
                        nullable: true
                    required:
                      - id
                      - country
                      - postalCode
                      - city
                      - state
                      - address1
                      - address2
              required:
                - fullName
                - phoneNumber
                - dateOfBirth
                - nationality
                - countryOfResidence
                - countryOfBirth
                - taxIdNumber
                - gender
                - addresses
          required:
            - id
            - reference
            - email
            - status
            - tenantId
            - details
      required:
        - id
        - address
        - email
        - profileId
        - accountId
        - cardholderId
        - partnerId
        - createdAt
        - kycProfile
    Error:
      type: object
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
      required:
        - success
        - error

````